%global debug_package   %{nil}
%global import_path     github.com/kraman/libcontainer
%global gopath          %{_datadir}/gocode
%global commit          d700e5b21d05486c60f4be3d7bbd3f93065f00c9
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-github-kraman-libcontainer
Version:        0
Release:        0.1.git%{shortcommit}%{?dist}
Summary:        Reference implementation for containers
License:        ASL 2.0
URL:            http://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/libcontainer-%{shortcommit}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

%package devel
Requires:       golang
Summary:        Reference implementation for containers
Provides:       golang(%{import_path}) = %{version}-%{release}
Provides:       golang(%{import_path}/capabilities) = %{version}-%{release}
Provides:       golang(%{import_path}/cli) = %{version}-%{release}
Provides:       golang(%{import_path}/namespaces) = %{version}-%{release}
Provides:       golang(%{import_path}/network) = %{version}-%{release}
Provides:       golang(%{import_path}/utils) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for building other packages
which use kraman/libcontainer.

%prep
%setup -n libcontainer-%{commit}

%build

%install
for d in . capabilities cli namespaces network utils; do
    install -d -p %{buildroot}/%{gopath}/src/%{import_path}/$d
    cp -av $d/*.go %{buildroot}/%{gopath}/src/%{import_path}/$d
done

%check

%files devel
%doc README.md
%dir %attr(755,root,root) %{gopath}
%dir %attr(755,root,root) %{gopath}/src
%dir %attr(755,root,root) %{gopath}/src/github.com
%dir %attr(755,root,root) %{gopath}/src/github.com/kraman
%dir %attr(755,root,root) %{gopath}/src/%{import_path}
%dir %attr(755,root,root) %{gopath}/src/%{import_path}/capabilities
%dir %attr(755,root,root) %{gopath}/src/%{import_path}/cli
%dir %attr(755,root,root) %{gopath}/src/%{import_path}/namespaces
%dir %attr(755,root,root) %{gopath}/src/%{import_path}/network
%dir %attr(755,root,root) %{gopath}/src/%{import_path}/utils
%{gopath}/src/%{import_path}/*.go
%{gopath}/src/%{import_path}/capabilities/*.go
%{gopath}/src/%{import_path}/cli/*.go
%{gopath}/src/%{import_path}/namespaces/*.go
%{gopath}/src/%{import_path}/network/*.go
%{gopath}/src/%{import_path}/utils/*.go

%changelog
* Fri Apr 04 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.1.git
- Initial package
